<app-loading *ngIf="isLoadingPage"></app-loading>
<div class="btnAcrossPageName">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="saveOrUpdate()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.save' | translate}}"></mb-button>
    <button nz-button nzType="default" (click)="back()">{{'common.button.cancel' | translate}}</button>
</div>

<div class="content__item content__item--border bg__content--default">

    <form nz-form [formGroup]="form">
        <div nz-row [nzGutter]="[30,30]">

            <div nz-col nzXs="24" nzLg="12">
                <mb-select
                    [mbDataSelects]="scopeSelects" mbKeyLabel="label" mbKeyValue="value" [mbShowClear]="false"
                    (mbSelect)="onChangeScope()" mbPlaceholder="{{'partnership.pns-contract.label.scope' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.scope' | translate}} <span class='label__required'>*</span>"
                    formControlName="scope"
                ></mb-select>
            </div>

            <div nz-col nzXs="24" nzLg="12" *ngIf="form.value.scope==1">
                <org-data-picker
                    [scope]="scope" [functionCode]="functionCode"
                    mbLabelText="{{'partnership.workHisInformation.label.attributes.organization' | translate}} <span class='label__required'>*</span>"
                    [mbType]="isSubmitted && form.controls['org'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['org'].errors !== null"
                    [mbErrors]="form.controls['org'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.workHisInformation.label.attributes.organization' | translate }}]"
                    formControlName="org"
                >
                </org-data-picker>
            </div>

            <div nz-col nzXs="24" nzLg="12" *ngIf="form.value.scope!=1">
                <mb-select
                    [mbDataSelects]="orgGroupSelects" mbKeyLabel="label" mbKeyValue="value"
                    [mbType]="isSubmitted && form.controls['org'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['org'].errors !== null"
                    [mbErrors]="form.controls['org'].errors"
                    [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.workHisInformation.label.attributes.organization' | translate }}]"
                    mbPlaceholder="{{'partnership.pns-contract.label.orgGroup' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.orgGroup' | translate}} <span class='label__required'>*</span>"
                    formControlName="org"
                ></mb-select>
            </div>

            <div nz-col nzXs="24" nzLg="12">
                <mb-input-text
                    [mbMaxLength]="255" mbPlaceholderText="{{'partnership.pns-contract.label.formName' | translate}}"
                    mbLabelText="{{'partnership.pns-contract.label.formName' | translate}} <span class='label__required'>*</span>"
                    [mbType]="isSubmitted && form.controls['name'].errors ? 'error' : 'default'"
                    [mbShowError]="isSubmitted && form.controls['name'].errors !== null"
                    [mbErrors]="form.controls['name'].errors"
                    [mbErrorDefs]="[
                        { errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.pns-contract.label.formName' | translate }},
                        { errorName: 'maxlength', errorDescription: 'partnership.validate.maxLength' | translate: {'numberLength': 255} }
                    ]"
                    formControlName="name"
                ></mb-input-text>
            </div>

            <div nz-col nzXs="24" nzLg="12">
                <mb-select [mbDataSelects]="contractTypeSelects" mbKeyLabel="name" mbKeyValue="contractTypeId"
                           [mbType]="isSubmitted && form.controls['contractTypeId'].errors ? 'error' : 'default'"
                           [mbShowError]="isSubmitted && form.controls['contractTypeId'].errors != null"
                           [mbErrors]="form.controls['contractTypeId'].errors"
                           [mbErrorDefs]="[{ errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.pns-contract.label.typeOfcontract' | translate }}]"
                           mbPlaceholder="{{'partnership.pns-contract.label.typeOfcontract' | translate}}"
                           mbLabelText="{{'partnership.pns-contract.label.typeOfcontract' | translate}} <span class='label__required'>*</span>"
                           formControlName="contractTypeId"></mb-select>
            </div>


            <div nz-col nzXs="24" nzLg="12">
                <mb-select-check-able (mbEventEmit)="setFormValue($event, 'position')" [mbKeyValueStringType]="true"
                                      mbPlaceholder="{{'partnership.pns-contract.label.groupTitle' | translate}}"
                                      [mbDataSelects]="positionGroupList"
                                      [mbShowAction]="false"
                                      mbLabelText="{{'partnership.pns-contract.label.groupTitle' | translate}}"
                                      formControlName="position">
                </mb-select-check-able>
            </div>
            <div nz-col nzXs="24" nzLg="12"></div>

            <div nz-col nzXs="24" nzLg="12">
                <mb-date-picker formControlName="fromDate"
                                mbLabelText="{{'partnership.label.fromDate' | translate}} <span class='label__required'>*</span>"
                                [mbType]="(isSubmitted && form.controls['fromDate'].errors || form.errors?.rangeDateError) ? 'error' : 'default'"
                                [mbShowError]="(isSubmitted && form.controls['fromDate'].errors || form.errors?.rangeDateError)"
                                [mbErrors]="form.errors?.rangeDateError ? form.errors : form.controls['fromDate'].errors"
                                [mbErrorDefs]="[
                            { errorName: 'required', errorDescription: 'partnership.validate.required' | translate: {'param': 'partnership.label.fromDate' | translate }},
                            { errorName: 'rangeDateError', errorDescription: 'partnership.validate.rangeDate.pareDate' | translate:{'fromDate': 'partnership.label.fromDate' | translate, 'toDate': 'partnership.label.toDate' | translate}}
                        ]"
                                mbPlaceholderText="{{'partnership.label.fromDate' | translate}}"></mb-date-picker>
            </div>

            <div nz-col nzXs="24" nzLg="12">
                <mb-date-picker formControlName="toDate" mbLabelText="{{'partnership.label.toDate' | translate}}"
                                mbPlaceholderText="{{'partnership.label.toDate' | translate}}"></mb-date-picker>
            </div>

            <!--File đính kèm-->
            <div nz-col nzXs="24" nzLg="24" class="datepicker__group">
                <label class="input__label">{{'partnership.label.file' | translate}} (click <a
                    (click)="showModalUpdate(null)">vào đây</a> để xem tham số cấu hình) <span
                    class="label__required">*</span></label>
                <mb-upload
                    (fileListChange)="onFileListChange($event)"
                    [fileList]="fileList"
                    [mbTypeFileAvailable]="['doc', 'docx']"
                    [mbShowError]="form.controls['fileTemplate'].errors !== null && isSubmitted"
                    [mbMultiple]="false"
                    [mbRequired]="true"
                    [mbMaxFile]="1"
                    [isDownloadFileWithNoSecurity]="true"
                    [mbServiceName]="MICRO_SERVICE.CONTRACT"
                    [mbUrl]="UrlConstant.API_VERSION + UrlConstant.CONTRACT_TEMPLATE.DOWNLOAD_FILE"
                ></mb-upload>
            </div>

        </div>
        <!--End: File đính kèm-->
    </form>
</div>
